- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreRenderSystem.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`
`#include "OgreTextureUnitState.h"`
`#include "OgreCommon.h"`
`#include "OgreRenderOperation.h"`
`#include "OgreRenderSystemCapabilities.h"`
`#include "OgreRenderTarget.h"`
`#include "OgreRenderTexture.h"`
`#include "OgreFrameListener.h"`
`#include "OgreConfigOptionMap.h"`
`#include "OgreGpuProgram.h"`
`#include "OgrePlane.h"`
`#include "OgreIteratorWrappers.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::RenderSystem
| Defines the functionality of a 3D API. More...
class | Ogre::RenderSystem::Listener
| Defines a listener on the custom events that this render system can raise. More...
## Typedefs
typedef std::map < String, RenderTarget * > | Ogre::RenderTargetMap
typedef std::multimap< uchar, RenderTarget * > | Ogre::RenderTargetPriorityMap
## Enumerations
enum | Ogre::TexCoordCalcMethod { Ogre::TEXCALC_NONE, Ogre::TEXCALC_ENVIRONMENT_MAP, Ogre::TEXCALC_ENVIRONMENT_MAP_PLANAR, Ogre::TEXCALC_ENVIRONMENT_MAP_REFLECTION, Ogre::TEXCALC_ENVIRONMENT_MAP_NORMAL, Ogre::TEXCALC_PROJECTIVE_TEXTURE }
| Enum describing the ways to generate texture coordinates. More...
enum | Ogre::StencilOperation { Ogre::SOP_KEEP, Ogre::SOP_ZERO, Ogre::SOP_REPLACE, Ogre::SOP_INCREMENT, Ogre::SOP_DECREMENT, Ogre::SOP_INCREMENT_WRAP, Ogre::SOP_DECREMENT_WRAP, Ogre::SOP_INVERT }
| Enum describing the various actions which can be taken onthe stencil buffer. More...

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:58 2008